import React from 'react';
import type { Document } from 'mongodb';
import type { Field } from '../../modules/fields';
export declare const DEFAULT_INDEX_DEFINITION = "{\n  mappings: {\n    dynamic: true,\n  },\n}";
type CreateSearchIndexModalProps = {
    isModalOpen: boolean;
    isBusy: boolean;
    error: string | undefined;
    fields: Field[];
    onCreateIndex: (indexName: string, indexDefinition: Document) => void;
    onCloseModal: () => void;
};
export declare const CreateSearchIndexModal: React.FunctionComponent<CreateSearchIndexModalProps>;
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<CreateSearchIndexModalProps>, {
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=create-search-index-modal.d.ts.map