import type { AnyAction } from 'redux';
export type IndexView = 'regular-indexes' | 'search-indexes';
export declare enum ActionTypes {
    ChangeIndexView = "index-list/ChangeIndexView"
}
type ChangeIndexViewAction = {
    type: ActionTypes.ChangeIndexView;
    view: IndexView;
};
export declare const INITIAL_STATE: IndexView;
export default function reducer(state: IndexView | undefined, action: AnyAction): IndexView;
export declare const changeIndexView: (view: IndexView) => ChangeIndexViewAction;
export declare const switchToRegularIndexes: () => ChangeIndexViewAction;
export declare const switchToSearchIndexes: () => ChangeIndexViewAction;
export {};
//# sourceMappingURL=index-view.d.ts.map